var checkConnectivity = function(connectedCallback) {
	var xhr = new XMLHttpRequest();
	var handler = function() {
		if(xhr.readyState === 4) {
			if(xhr.status === 200)
				connectedCallback();
		}
	}
	xhr.onreadystatechange = handler;
	xhr.open('GET', '/?q=' + Math.random());
	xhr.send();			
}

var saveData = function(value, storedIssuesSpan) {
	localStorage.issuesCount = localStorage.issuesCount || 0;
	
	localStorage.setItem('issue' + localStorage.issuesCount, value);
	localStorage.issuesCount = parseInt(localStorage.issuesCount) + 1;

	storedIssuesSpan.innerHTML = '';
	
	for(var i = 0; i < localStorage.issuesCount; i++) {
		storedIssuesSpan.innerHTML += "<br>" + i + ": " + localStorage.getItem('issue' + i); 
	}
	
	var sendDataToServer = function() {
		alert('sending data to server: ' + localStorage.length);
		localStorage.clear();
		storedIssuesSpan.innerHTML = '';
	}
	
	checkConnectivity(sendDataToServer);
}
